#
Summary: Adds Fermi specific entries in /etc/hosts.allow and /etc/hosts.deny
Name: zz_tcp_wrappers_change
Version: 3.0
Release: 2
Copyright: GPL
Group: Fermi
Source: banners.tgz.082202
URL: http://www.fnal.gov/cd/UNIX/linux/
Distribution: Fermi Linux LTS 3.x.x
Vendor: Fermilab
Packager: Dan Yocum, Connie Sieh
requires: tcp_wrappers , coreutils
BuildArch: noarch
BuildRoot: /var/tmp/banners

%description
This package will add entries in /etc/hosts.allow and /etc/hosts.deny which
are Fermi specific.  By limiting access to certain services to Fermi sites
only, it increases security.

Specifically, we disallow everyone outside of .fnal.gov all service on the 
machine and allow virtually everything within .fnal.gov domain.  If you're at
an off-site institution, you'll have to edit the hosts.allow file accordingly
for your domain.

The original files will be saved as /etc/hosts.allow(deny).rpmsave.  
 
This version includes the standard DOE security banners pre-enabled.
%post
cp /etc/hosts.allow /etc/hosts.allow.rpmsave
cp /etc/hosts.deny /etc/hosts.deny.rpmsave
cp /etc/motd	/etc/motd.rpmsave

#Check if they have banners yet.  If not add it.
if [ `grep 'ALL: ALL: banners /etc/banners' /etc/hosts.deny | wc -l ` -eq 0 ]
then
echo "" >> /etc/hosts.deny
echo "ALL: ALL: banners /etc/banners" >> /etc/hosts.deny
fi
grep -q fnal.gov /etc/hosts.allow
result=$?
if [ $result -ne 0 ] ; then
	# This is the case were we did not find a fnal.gov in /etc/hosts.allow
	# so we need to fix it up.  If we did find it we assume they want it
	# the same as it was
	perl -pe 'unless (/\A(\#)/) {s/\A/\#/g;}' -i /etc/hosts.allow
	echo "" >> /etc/hosts.allow
	echo "portmap: 131.225.0.0/255.255.0.0 LOCAL 127.0.0.1" >> /etc/hosts.allow
	echo "rpc.mountd: 131.225. LOCAL 127.0.0.1" >> /etc/hosts.allow
	echo "ALL: .fnal.gov 131.225. LOCAL 127.0.0.1 : banners /etc/banners" >> /etc/hosts.allow
# Commented out the sshd for the first update to 7.1.1 CJS
	echo "#sshd: ALL" >> /etc/hosts.allow
fi
cp /etc/doe.motd /etc/motd

%postun

if [ -f /etc/hosts.deny -a -f /etc/hosts.deny.rpmsave ]
then 
	mv -f /etc/hosts.deny.rpmsave /etc/hosts.deny
fi

if [ -f /etc/hosts.allow -a -f /etc/hosts.allow.rpmsave ]
then 
	mv -f /etc/hosts.allow.rpmsave /etc/hosts.allow
fi

if [ -f /etc/motd.rpmsave ]
then 
	mv -f /etc/motd.rpmsave /etc/motd
fi

%prep

%install
mkdir -p ${RPM_BUILD_ROOT}
cd ${RPM_BUILD_ROOT}
tar -xvzpf ${RPM_SOURCE_DIR}/banners.tgz.082202

%files
%dir /etc/banners
%config /etc/banners/fingerd
%config /etc/banners/ftpd
%config /etc/banners/in.fingerd
%config /etc/banners/in.ftpd
%config /etc/banners/in.rlogind
%config /etc/banners/in.telnetd
%config /etc/banners/rlogind
%config /etc/banners/telnetd
%config /etc/doe.motd
